#!/usr/bin/env python
import re

chunks = []
for line in open('code.py'):
    if re.match(r'^\s*#', line) or re.match(r'^s*$', line):
        if not chunks or chunks[-1]:
            chunks.append([])
        continue
    chunks[-1].append(line)

for chunk in chunks:
    for line in chunk:
        if not line.startswith(' ') and not line.startswith('except'):
            print('>>>', line, end='')
        else:
            print('...', line, end='')
    exec(''.join(chunk))
